
Foreman - Feature #4511

Would like to be able to enable/disable the YAML button in user roles.

03/01/2014 10:33 AM - Ronny M

Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It appears that there is no option in roles to disable the YAML button for roles that I want to create for readonly/view users.

The YAML button now exposes plain text passwords and accounts that we have configured in global or host parameters.

We want to use an LDAP authentication source with auto account creation in foreman but a user with a valid AD account is now able

to see/view hosts (what we want) but also has access to the YAML button (what we don't want).

History

#1 - 03/01/2014 10:38 AM - Ronny M

foreman 1.4.1.

#2 - 08/02/2016 03:05 AM - Marek Hulán

- Target version set to 115
